---
title: 'Document: pointermove event'
slug: Web/API/Document/pointermove_event
tags:
  - Document
  - Event
  - PointerEvent
  - Reference
  - Web
  - pointer
  - pointermove
---
<div>{{APIRef}}</div>

<p>The <code>pointermove</code> event is fired when a pointer changes coordinates, and the pointer has not been <a href="/en-US/docs/Web/Events/pointercancel">canceled</a> by a browser <a href="/en-US/docs/Web/CSS/touch-action">touch-action</a>.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PointerEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onpointermove", "onpointermove")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js notranslate">document.addEventListener('pointermove', (event) =&gt; {
  console.log('Pointer moved');
});</pre>

<p>Using the <code>onpointermove</code> event handler property:</p>

<pre class="brush: js notranslate">document.onpointermove = (event) =&gt; {
  console.log('Pointer moved');
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#the-pointermove-event')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#the-pointermove-event')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.pointermove_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Document/gotpointercapture_event", "gotpointercapture")}}</li>
 <li>{{domxref("Document/lostpointercapture_event", "lostpointercapture")}}</li>
 <li>{{domxref("Document/pointerover_event", "pointerover")}}</li>
 <li>{{domxref("Document/pointerenter_event", "pointerenter")}}</li>
 <li>{{domxref("Document/pointerdown_event", "pointerdown")}}</li>
 <li>{{domxref("Document/pointerup_event", "pointerup")}}</li>
 <li>{{domxref("Document/pointercancel_event", "pointercancel")}}</li>
 <li>{{domxref("Document/pointerout_event", "pointerout")}}</li>
 <li>{{domxref("Document/pointerleave_event", "pointerleave")}}</li>
 <li>{{domxref("GlobalEventHandlers/onpointerout", "onpointerout")}} event handler property</li>
 <li>This event on <code>HTMLElement</code> targets: {{domxref("HTMLElement/pointermove_event", "pointermove")}} event</li>
</ul>
